﻿using System;

namespace Sencha.Direct.Exceptions
{
	[Serializable]
	sealed class UnsupportedRequestTypeException : RoutingException
	{

		public UnsupportedRequestTypeException()
			: base(Loc.GetErrorString("Exception_DirectOnlyRpcSupported"))
		{

		}

		protected UnsupportedRequestTypeException(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
