﻿using System;

namespace Sencha.Serialization.Exceptions
{
	[Serializable]
	sealed class MemberIsNotFound : JsonSerializationException
	{
		public MemberIsNotFound(string memberName, Type type, IJsonReader reader)
            : base(Loc.GetErrorString("Exception_MemberIsNotFound", memberName, type), ErrorCode.MemberIsNotFound, reader)
		{

		}
		protected MemberIsNotFound(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
