﻿using System;

namespace Sencha.Serialization.Exceptions
{
	[Serializable]
	sealed class TypeDescriptionIsNotFound : DataContractException
	{
		public TypeDescriptionIsNotFound(Type type)
			: base(Loc.GetErrorString("Exception_TypeDescriptionIsNotFound", type), ErrorCode.TypeDescriptionIsNotFound)
		{

		}
		protected TypeDescriptionIsNotFound(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
