﻿using System;

namespace Sencha.Serialization.Exceptions
{
	[Serializable]
	sealed class UnexpectedEndOfStream : JsonSerializationException
	{
		public UnexpectedEndOfStream(IJsonReader reader)
			: base(Loc.GetErrorString("Exception_UnexpectedEndOfStream"), ErrorCode.UnexpectedEndOfStream, reader)
		{

		}
		protected UnexpectedEndOfStream(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
