﻿using System;

namespace Sencha.Serialization.Exceptions
{
	[Serializable]
	sealed class UnknownEscapeSequence : JsonSerializationException
	{
		public UnknownEscapeSequence(string escape, IJsonReader reader)
			: base(Loc.GetErrorString("Exception_UnknownEscapeSequence", escape), ErrorCode.UnknownEscapeSequence, reader)
		{
		}
		protected UnknownEscapeSequence(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
