﻿using System;

namespace Sencha.Serialization.Exceptions
{
	[Serializable]
	sealed class UnreadableStream : ArgumentException
	{
		public UnreadableStream(string paramName)
			: base(Loc.GetErrorString("Exception_OperationOnUnwriteableStream"), paramName)
		{

		}
		protected UnreadableStream(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
