﻿using System;
using System.Collections.Generic;

namespace Sencha.Serialization
{
	[Flags]
	public enum Features : long
	{
		IgnoreCustomSerialization = 0x1 << 0,
		ArrayInterchange = 0x1 << 1,
		[Obsolete("This feature is obsolete. Use JsonString object when you need this functionality")]
		StringInterchange = 0x1 << 2,
		SkipUnknownMember = 0x1 << 3,
		SkipUnaccessibleMembers = 0x1 << 4,
		SerializeEnumsAsInteger = 0x1 << 5,
		SerializeByteArrayAsBase64 = 0x1 << 6
	}
}
