﻿using System;
using System.IO;
using Sencha.Serialization.Contracts;

namespace Sencha.Serialization
{
	interface IJsonSerializer
	{
		object ReadObject(TextReader input);
		void WriteObject(TextWriter output, object graph);

		void WriteValue<T>(IJsonWriter writer, T value, TypeDescription serializableType);
		T ReadValue<T>(IJsonReader reader, TypeDescription serializableType);
	}
}
