﻿using System;
using System.Text;
using System.Resources;

static class Loc
{
	private readonly static ResourceManager Mvc_Serialization = global::Sencha.Serialization.Sencha_Serialization.ResourceManager;

	internal static string GetErrorString(string name, params object[] args)
	{
		string locString = Mvc_Serialization.GetString(name) ?? name;
		if (args != null && args.Length > 0)
			return String.Format(locString, (object[])args);
		else
			return locString;
	}
}
