﻿using System;

namespace Sencha.Serialization
{
	[Flags]
	public enum TypeSerializerOptions
	{
		None = 0x0,
		/// <summary>
		/// Flag indicating that the serializer is applied to all type's descendants
		/// </summary>
		Inherited = 0x1,
		/// <summary>
		/// Flag indicating that when type inherits TypeSerializer then TypeSerializer's generic argument will be lifted to the current(actual) instead of base(on which attribute is declared).
		/// </summary>
		LiftGenericArgument = 0x2
	}
}
