﻿using System;

namespace Serialization.Serialization.IntegrationTests
{
	public class KeyValue<KeyT, ValueT>
	{
		public KeyT Key;
		public ValueT Value;

		public KeyValue()
		{

		}
		public KeyValue(KeyT key, ValueT value)
		{
			Key = key;
			Value = value;
		}
        public override int GetHashCode()
        {
            return base.GetHashCode();
        }


		public override bool Equals(object obj)
		{
			var other = obj as KeyValue<KeyT, ValueT>;
			if ( other == null )
				return false;

			return Object.Equals(this.Key, other.Key) && Object.Equals(this.Value, other.Value);
		}
	}
}
