﻿using System;

namespace Sencha.Direct.Exceptions
{
	[Serializable]
	sealed class RequestsDeserializationFailed : RoutingException
	{
		public RequestsDeserializationFailed(Exception innerException)
			: base(Loc.GetErrorString("Exception_DirectRequestDeserializationException"), innerException)
		{

		}
		protected RequestsDeserializationFailed(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}

	}
}
