﻿using System;
using System.Resources;
using System.Text;

static class Loc
{
	private readonly static ResourceManager Mvc_Sencha = global::Sencha.Direct.Properties.Resources.ResourceManager;
	private readonly static ResourceManager Mvc_Serialization = new ResourceManager("Sencha.Direct.Sencha.Serialization.Sencha.Serialization", typeof(Loc).Assembly);

    internal static string GetErrorString(string name, params object[] args)
	{
		string locString = Mvc_Sencha.GetString(name) ?? Mvc_Serialization.GetString(name) ?? name;
		if ( args != null && args.Length > 0 )
			return String.Format( locString, (object[])args );
		else
			return locString;
	}
}
