﻿using System;

namespace Sencha.Serialization.Bson
{
	public enum BsonToken : byte
	{
		None = 0,
		Double = 1,
		String = 2,
		BeginDocument = 3,
		BeginArray = 4,
		Binary = 5,
		Undefined = 6,
		ObjectId = 7,
		Boolean = 8,
		DateTime = 9,
		Null = 10,
		Regex = 11,
		Reference = 12,
		JavaScript = 13,
		Symbol = 14,
		JavaScriptWithScope = 15,
		Int32 = 16,
		Timestamp = 17,
		Int64 = 18,
        MinKey = 255,
        MaxKey = 127,
		EndOfStream = 100, // json compability
		Member = 101, // json compability
		EndOfDocument = 102, // json compability
		EndOfArray = 103  // json compability
	}
}
