﻿using System;

namespace Sencha.Serialization.Exceptions
{
	[Serializable]
	sealed class AmbiguousMemberFound : DataContractException
	{
		public AmbiguousMemberFound(Contracts.TypeDescription declaringType1, string memberName1, Contracts.TypeDescription declaringType2, string memberName2)
			: base(Loc.GetErrorString("Exception_AmbiguousMemberFound", declaringType1, memberName1, declaringType2, memberName2), ErrorCode.AmbiguousMemberFound)
		{
		}
		protected AmbiguousMemberFound(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
