﻿using System;

namespace Sencha.Serialization.Exceptions
{
	[Serializable]
	sealed class BufferOvergrow : JsonSerializationException
	{
		public BufferOvergrow(int size, int maxBufferSize, IJsonReader reader)
			: base(Loc.GetErrorString("Exception_BufferOvergrow", size, maxBufferSize), ErrorCode.BufferOvergrow, reader)
		{

		}
		protected BufferOvergrow(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
