﻿using System;

namespace Sencha.Serialization.Exceptions
{

	[Serializable]
	sealed class EmptyMemberName : JsonSerializationException
	{
		public EmptyMemberName(IJsonReader reader)
			: base("Exception_EmptyMemberName", ErrorCode.EmptyMemberName, reader)
		{

		}
		protected EmptyMemberName(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
