﻿using System;

namespace Sencha.Serialization.Exceptions
{
	enum ErrorCode
	{
		GenericJsonSerializationException = 3000,
		GenericDataContractException,
		UnterminatedStringLiteral,
		UnknownEscapeSequence,
		UnexpectedToken,
		UnexpectedEndOfStream,
		EmptyMemberName,
		WrongTypeForAdHocSerialization,
		UnserializableJsonToken,
		UnreadableStream,
		UnexpectedMemberName,
		BufferOvergrow,
		AmbiguousMemberFound,
		InstanceCreationFailed,
		InvalidSerializationStrategyType,
		MemberIsNotFound,
		TypeContractViolation,
		TypeDescriptionIsNotFound,
		TypeIsAlreadyHasSerializer,
		UnableToAccessMember,
		UnmappedDiscriminatorValue,
		DiscriminatorValueAlreadyMapped,
		SerializationGraphIsTooBig,
		UnableToCastValueToRequestedType
	}
}
