﻿using System;

namespace Sencha.Serialization.Exceptions
{
	[Serializable]
	sealed class InstanceCreationFailed : DataContractException
	{
		public InstanceCreationFailed(Type instanceType)
			: base(Loc.GetErrorString("Exception_InstanceCreationFailed", instanceType), ErrorCode.InstanceCreationFailed)
		{

		}
		protected InstanceCreationFailed(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
