﻿using System;

namespace Sencha.Serialization.Exceptions
{
	[Serializable]
	sealed class InvalidSerializationStrategyType : DataContractException
	{
		public InvalidSerializationStrategyType(Type serializationStrategyType)
			: base(Loc.GetErrorString("Exceptions_InvalidSerializationStrategyType", serializationStrategyType), ErrorCode.InvalidSerializationStrategyType)
		{

		}
		protected InvalidSerializationStrategyType(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
