﻿using System;

namespace Sencha.Serialization.Exceptions
{
	[Serializable]
	sealed class SerializationGraphIsTooBig : JsonSerializationException
	{
		public SerializationGraphIsTooBig(ulong maxObjects) :
			base(Loc.GetErrorString("Exception_SerializationGraphIsTooBig", maxObjects), ErrorCode.SerializationGraphIsTooBig)
		{

		}
		protected SerializationGraphIsTooBig(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
