﻿using System;

namespace Sencha.Serialization.Exceptions
{
	[Serializable]
	sealed class TypeIsAlreadyHasSerializer : DataContractException
	{
		public TypeIsAlreadyHasSerializer(Type serializedType, Type typeSerializer, Type otherSerializer)
			: base(Loc.GetErrorString("Exception_TypeIsAlreadyHasSerializer", serializedType, typeSerializer, otherSerializer), ErrorCode.TypeIsAlreadyHasSerializer)
		{

		}
		protected TypeIsAlreadyHasSerializer(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
