﻿using System;

namespace Sencha.Serialization.Exceptions
{
	[Serializable]
	sealed class UnableToAccessMember : DataContractException
	{
		public UnableToAccessMember(Type declaringType, object member, Exception memberAccessException)
			: base(Loc.GetErrorString("Exception_FailedToAccessTypeMember", declaringType, member), ErrorCode.UnableToAccessMember, memberAccessException)
		{

		}
		protected UnableToAccessMember(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
