﻿using System;

namespace Sencha.Serialization.Exceptions
{
	[Serializable]
	sealed class UnexpectedMemberName : JsonSerializationException
	{
		public UnexpectedMemberName(string memberName, string expected, IJsonReader reader)
			: base(Loc.GetErrorString("Exception_UnexpectedMemberName", memberName, expected), ErrorCode.UnexpectedMemberName, reader)
		{

		}
		protected UnexpectedMemberName(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
