﻿using System;

namespace Sencha.Serialization.Exceptions
{
	[Serializable]
	sealed class UnserializableJsonToken : JsonSerializationException
	{
		public UnserializableJsonToken(JsonToken token, IJsonWriter writer)
			: base(Loc.GetErrorString("Exception_UnserializableJsonToken", token, ErrorCode.UnserializableJsonToken, writer))
		{

		}
		protected UnserializableJsonToken(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
