﻿using System;

namespace Sencha.Serialization.Exceptions
{
	sealed class UnterminatedStringLiteral : JsonSerializationException
	{
		public UnterminatedStringLiteral(IJsonReader reader)
			: base(Loc.GetErrorString("Exception_UnterminatedStringLiteral"), ErrorCode.UnterminatedStringLiteral, reader)
		{

		}
		protected UnterminatedStringLiteral(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
