﻿using System;

namespace Sencha.Serialization.Exceptions
{
	[Serializable]
	sealed class UnwriteableStream : ArgumentException
	{
		public UnwriteableStream(string paramName)
			: base(Loc.GetErrorString("Exception_OperationOnUnreadableStream"), paramName)
		{

		}
		protected UnwriteableStream(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
			: base(info, context)
		{
		}
	}
}
