﻿using System;

namespace Serialization.Serialization.IntegrationTests
{
	class PrivateObject
	{
		public int IntField;
		public string StringField;

		public PrivateObject()
		{

		}

		public PrivateObject(bool fill)
		{
			IntField = int.MaxValue;
			StringField = "randomString";
		}

		public PrivateObject(int seed)
		{
			var rnd = new Random(seed);

			IntField = rnd.Next();
			var chars = new char[rnd.Next(0, 1000000)];
			for (int i = 0; i < chars.Length; i++) chars[i] = (char)rnd.Next(0, char.MaxValue);
			StringField = new string(chars, 0, chars.Length);
		}
	}
}
