﻿using System;
using System.IO;

namespace Serialization.Serialization.IntegrationTests
{
	static class Resources
	{
		internal static Stream GetStream(string resourceName)
		{
			using (var stream = typeof(Resources).Assembly.GetManifestResourceStream("Serialization.Serialization.IntegrationTests.Resources." + resourceName))
			{
				var memory = new MemoryStream();
				var buffer = new byte[1024];
				var readed = 0;

				// read chunks
				while ((readed = stream.Read(buffer, 0, buffer.Length)) > 0)
					memory.Write(buffer, 0, readed);

				memory.Position = 0;
				return memory;
			}
		}
	}
}
